/*Copyright © 2010 Nokia Corporation. All rights reserved.
Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation.
Java and all Java-based marks are trademarks or registered trademarks of
Sun Microsystems, Inc. Other product and company names mentioned herein may be
trademarks or trade names of their respective owners.


Subject to the conditions below, you may, without charge:

•  Use, copy, modify and/or merge copies of this software and
associated documentation files (the “Software”)

•  Publish, distribute, sub-license and/or sell new software
derived from or incorporating the Software.



This file, unmodified, shall be included with all copies or substantial portions
of the Software that are distributed in source code form.

The Software cannot constitute the primary value of any new software derived
from or incorporating the Software.

Any person dealing with the Software shall not misrepresent the source of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class SimpleTest extends MIDlet implements CommandListener {

    private HelloCanvas myCanvas;
    private Form myForm;
    private Gauge myGauge;
    private TextField textField;
    private Command backCommand = new Command("Back", Command.BACK, 1);
    private Command messageCommand = new Command("Message", Command.SCREEN, 1);
    private Command displayCommand = new Command("Display Message", Command.SCREEN, 1);
    private Command exitCommand = new Command("Exit", Command.EXIT, 1);
    private Command showCommand = new Command("Show Levels", Command.SCREEN, 1);

    public SimpleTest() {
        myCanvas = new HelloCanvas();
        myCanvas.addCommand(backCommand);
        myCanvas.addCommand(messageCommand);
        myForm = new Form("Gauge level");
        myGauge = new Gauge("Value", true, 120, 10);
        textField = new TextField("Enter number", "", 3, TextField.NUMERIC);
        myForm.append(myGauge);
        myForm.append(textField);
        myForm.addCommand(showCommand);
        myForm.addCommand(displayCommand);
        myForm.addCommand(exitCommand);
        myCanvas.setCommandListener(this);
        myForm.setCommandListener(this);
    }

    public void startApp() {
        Display.getDisplay(this).setCurrent(myForm);
    }

    public void pauseApp() {
    }

    public void destroyApp(boolean a) throws MIDletStateChangeException {
    }

    public void commandAction(Command c, Displayable d) {
        if (c == exitCommand) {
            notifyDestroyed();
        }
        if (c == messageCommand) {
            myCanvas.newMessage();
            //myCanvas.start();
        }
        if (c == backCommand) {
            Display.getDisplay(this).setCurrent(myForm);
        }
        if (c == displayCommand) {
            Display.getDisplay(this).setCurrent(myCanvas);
            myCanvas.start();
        }
        if (c == showCommand) {
            String valueString = textField.getString();
            int value = 0;
            if (!valueString.equals("")) {
                value = Integer.parseInt(valueString);
            }
            myGauge.setValue(value);
        }
    }
}