/*Copyright © 2010 Nokia Corporation. All rights reserved.
Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation.
Java and all Java-based marks are trademarks or registered trademarks of
Sun Microsystems, Inc. Other product and company names mentioned herein may be
trademarks or trade names of their respective owners.


Subject to the conditions below, you may, without charge:

•  Use, copy, modify and/or merge copies of this software and
associated documentation files (the “Software”)

•  Publish, distribute, sub-license and/or sell new software
derived from or incorporating the Software.



This file, unmodified, shall be included with all copies or substantial portions
of the Software that are distributed in source code form.

The Software cannot constitute the primary value of any new software derived
from or incorporating the Software.

Any person dealing with the Software shall not misrepresent the source of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

import javax.microedition.lcdui.*;

public class HelloCanvas extends Canvas {

    boolean myCanvasTXT = true;

    public HelloCanvas() {
    }

    void start() {
        repaint();
    }

    public void newMessage() {
        myCanvasTXT = !myCanvasTXT;
        repaint();
    }

    public void paint(Graphics g) {
        int w = getWidth();
        int h = getHeight();
        g.setColor(0, 51, 240); // blue
        g.fillRect(0, 0, w, h);
        //display the message
        if (myCanvasTXT) {
            Font font = g.getFont();
            int fontHeight = font.getHeight();
            int fontWidth = font.stringWidth("Hello, world!");
            //set the text color
            g.setColor(255, 255, 255); // white
            g.setFont(font);
            //write the strings in the center of the screen
            g.drawString("Hello, world!", (w - fontWidth) / 2, (h - fontHeight) / 2, Graphics.TOP | Graphics.LEFT);
        }
    }
}
